//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using System.Diagnostics;
using mshtml;

using nispi.controlclass;

namespace nispi
{
    class AnalysisBrowserResNumMenu
    {
        private ToolStripMenuItemParts mainMenuItemOpenBrowser;
        private ToolStripMenuItemParts mainMenuItemCopyUrl;
        private ToolStripMenuItemParts mainMenuItemCopyTitle;

        public AnalysisBrowserResNumMenu(ToolStripMenuItemParts menuItem)
        {
            mainMenuItemOpenBrowser = ToolStripMenuItemPartsManager.Pop();
            mainMenuItemCopyUrl = ToolStripMenuItemPartsManager.Pop();
            mainMenuItemCopyTitle = ToolStripMenuItemPartsManager.Pop();

            mainMenuItemOpenBrowser.Text = "ブラウザで開く";
            //mainMenuItemOpenBrowser.Click += new EventHandler(menuItemOpenBrowser_Click);
            mainMenuItemCopyUrl.Text = "URLをコピー";
            //mainMenuItemCopyUrl.Click += new EventHandler(menuItemCopyUrl_Click);
            mainMenuItemCopyTitle.Text = "タイトルをコピー";
            //mainMenuItemCopyTitle.Click += new EventHandler(menuItemCopyTitle_Click);


            menuItem.DropDownItemsAdd(mainMenuItemOpenBrowser);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(mainMenuItemCopyUrl);
            menuItem.DropDownItemsAdd(mainMenuItemCopyTitle);
        }
    }
}